package com.dhcc.finance.main.dao;

import com.dhcc.finance.main.model.FundProjectInfoGydd;
import com.dhcc.finance.main.model.FundsFlowInfo;
import com.dhcc.finance.main.model.XmlxAndBalance;
import org.apache.ibatis.annotations.Param;

import java.util.List;

/**
 * 功能描述：三方接口DAO
 *
 * @author dml
 * @date 2019年7月12日 下午1:50:45
 * @修改日志：
 */
public interface FinanceForThirdMapper {
    /**
     * 功能描述：查询流水信息
     *
     * @param voucherRequestInfo
     * @return List<FundsFlowInfo>
     * @author dml
     * @date 2019年7月12日 下午1:52:18
     * @修改日志：
     */
    List<FundsFlowInfo> selectFundsFlowInfo(@Param("sql") String sql);

    /**
     * 功能描述：查询实收信托
     *
     * @return List<XmlxAndBalance>
     * @author dml
     * @date 2019年11月17日 下午4:59:08
     * @修改日志：
     */
    List<XmlxAndBalance> searchPaidInTrust();

    /**
     * 功能描述：查询资产端规模
     *
     * @return List<XmlxAndBalance>
     * @author dml
     * @date 2019年11月17日 下午4:59:11
     * @修改日志：
     */
    List<XmlxAndBalance> searchAssetScale();

    /**
     * 功能描述:通过项目编号查询账套信息
     * @param xtxmbh
     * @return List<FundProjectInfoGydd>
     * @author likai
     * @data 2020年4月15日下午4:50:11
     * 修改日志
     */
    List<FundProjectInfoGydd> selectAdvanceByXtxmbh(@Param("xtxmbh") String xtxmbh);
    
    List<FundProjectInfoGydd> selectAdvanceAndRemuneration(@Param("xtxmbh") String xtxmbh);
    
    List<FundProjectInfoGydd> selectRemunerationByXtxmbh(@Param("xtxmbh") String xtxmbh);
}