package com.dhcc.finance.main.domain;

import java.util.Date;

import com.fasterxml.jackson.annotation.JsonFormat;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.AllArgsConstructor;
import lombok.Data;
import lombok.EqualsAndHashCode;
import lombok.NoArgsConstructor;


@ApiModel(value = "CwBdAccperiodmonth",description = "会计月份表")
@Data
@AllArgsConstructor
@NoArgsConstructor
@EqualsAndHashCode(callSuper = false)
public class CwBdAccperiodmonth {
	 /**
     * 会计月份主键
     */
    @ApiModelProperty(value = "会计月份主键", required = true, example = "")
    private String pkAccperiodmonth;

    /**
     * 会计年度主键
     */
    @ApiModelProperty(value = "会计年度主键", required = false, example = "")
    private String pkAccperiod;

    /**
     * 会计月份
     */
    @ApiModelProperty(value = "会计月份", required = false, example = "")
    private String accperiodmth;

    /**
     * 开始日期
     */
    @JsonFormat(locale="zh", timezone="GMT+8", pattern="yyyy-MM-dd")
    @ApiModelProperty(value = "开始日期", required = false, example = "")
    private Date begindate;

    /**
     * 结束日期
     */
    @JsonFormat(locale="zh", timezone="GMT+8", pattern="yyyy-MM-dd")
    @ApiModelProperty(value = "结束日期", required = false, example = "")
    private Date enddate;

    /**
     * 年月份
     */
    @ApiModelProperty(value = "年月份", required = false, example = "")
    private String yearmth;

    /**
     * 使用状态
     */
    @ApiModelProperty(value = "使用状态", required = false, example = "")
    private String useState;

    /**
     * 录入人员
     */
    @ApiModelProperty(value = "录入人员", required = false, example = "")
    private String createUser;

    /**
     * 录入时间
     */
    @ApiModelProperty(value = "录入时间", required = false, example = "")
    @JsonFormat(locale="zh", timezone="GMT+8", pattern="yyyy-MM-dd")
    private Date createTime;

    /**
     * 最后修改人员
     */
    @ApiModelProperty(value = "最后修改人员", required = false, example = "")
    private String updateUser;

    /**
     * 最后修改时间
     */
    @ApiModelProperty(value = "最后修改时间", required = false, example = "CURRENT_TIMESTAMP")
    private Date updateTime;

    /**
     * 备注
     */
    @ApiModelProperty(value = "备注", required = false, example = "")
    private String remark;

}