package com.dhcc.finance.main.domain;

import java.util.Date;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.AllArgsConstructor;
import lombok.Data;
import lombok.EqualsAndHashCode;
import lombok.NoArgsConstructor;
@ApiModel(value = "CwBdProductcellDetail",description = "项目单元详情表")
@Data
@AllArgsConstructor
@NoArgsConstructor
@EqualsAndHashCode(callSuper = false)
public class CwBdProductcellDetail {
    /**
     * 单元详情主键
     */
    @ApiModelProperty(value = "单元详情主键", required = false, example = "")
    private String id;
    /**
     * 单元主键
     */
    @ApiModelProperty(value = "单元主键", required = false, example = "")
    private String cellId;
    /**
     * 项目单元编码
     */
    @ApiModelProperty(value = "项目单元编码", required = false, example = "")
    private String cellCode;

    /**
     * 信托项目编号
     */
    @ApiModelProperty(value = "信托项目编号", required = false, example = "")
    private String xtxmbh;
    /**
     * 信托子项目编号
     */
    @ApiModelProperty(value = "信托子项目编号", required = false, example = "")
    private String xtzxmbh;
    /**
     * 信托子项目全称
     */
    @ApiModelProperty(value = "信托子项目全称", required = false, example = "")
    private String xtzxmqc;

    /**
     * 使用状态
     */
    @ApiModelProperty(value = "使用状态", required = false, example = "")
    private String useState;

    /**
     * 录入人员
     */
    @ApiModelProperty(value = "录入人员", required = false, example = "")
    private String createUser;

    /**
     * 录入时间
     */
    @ApiModelProperty(value = "录入时间", required = false, example = "")
    private Date createTime;

    /**
     * 最后修改人员
     */
    @ApiModelProperty(value = "最后修改人员", required = false, example = "")
    private String updateUser;

    /**
     * 最后修改时间
     */
    @ApiModelProperty(value = "最后修改时间", required = false, example = "CURRENT_TIMESTAMP")
    private Date updateTime;

    /**
     * 备注
     */
    @ApiModelProperty(value = "备注", required = false, example = "")
    private String remark;
}