/**
 * 
 */
package com.dhcc.finance.main.model;

import java.math.BigDecimal;
import java.util.Date;
import java.util.List;

import com.dhcc.finance.main.domain.CwGlFreevalue;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.AllArgsConstructor;
import lombok.Data;
import lombok.EqualsAndHashCode;
import lombok.NoArgsConstructor;

/**
 * @author hp
 *
 */
@ApiModel(value = "CwGlDetailAndVoucher",description = "凭证分录信息联查凭证表")
@Data
@AllArgsConstructor
@NoArgsConstructor
@EqualsAndHashCode(callSuper = false)
public class CwGlDetailAndVoucher {
	 @ApiModelProperty(value = "凭证分录主键", required = true, example = "")
	    private String pkDetail;

	    @ApiModelProperty(value = "账套主键", required = false, example = "")
	    private String pkGlorgbook;

	    @ApiModelProperty(value = "凭证类型", required = false, example = "")
	    private String pkVoucherty;
	    
	    @ApiModelProperty(value = "凭证主键", required = false, example = "")
	    private String pkVoucher;
	    
	    @ApiModelProperty(value = "会计期间", required = false, example = "")
	    private String period;

	    @ApiModelProperty(value = "分录号", required = false, example = "")
	    private String detailindex;

	    @ApiModelProperty(value = "摘要", required = false, example = "")
	    private String abstracts;

	    @ApiModelProperty(value = "科目主键", required = false, example = "")
	    private String pkAccsubj;

	    @ApiModelProperty(value = "科目编码", required = false, example = "")
	    private String subjcode;

	    @ApiModelProperty(value = "科目名称", required = false, example = "")
	    private String subjname;

	    @ApiModelProperty(value = "币种", required = false, example = "")
	    private String pkCurrtype;

	    @ApiModelProperty(value = "原币借方金额", required = false, example = "")
	    private BigDecimal debitamount;

	    @ApiModelProperty(value = "原币贷方金额", required = false, example = "")
	    private BigDecimal creditamount;

	    @ApiModelProperty(value = "本币借方金额", required = false, example = "")
	    private BigDecimal localdebitamount;

	    @ApiModelProperty(value = "本币贷方金额", required = false, example = "")
	    private BigDecimal localcreditamount;

	    @ApiModelProperty(value = "辅助核算标识", required = false, example = "")
	    private String assid;

	    @ApiModelProperty(value = "数量", required = false, example = "")
	    private String qty;

	    @ApiModelProperty(value = "使用状态", required = false, example = "")
	    private String useState;

	    @ApiModelProperty(value = "录入人员", required = false, example = "")
	    private String createUser;

	    @ApiModelProperty(value = "录入时间", required = false, example = "")
	    private Date createTime;

	    @ApiModelProperty(value = "最后修改人员", required = false, example = "")
	    private String updateUser;

	    @ApiModelProperty(value = "最后修改时间", required = false, example = "CURRENT_TIMESTAMP")
	    private Date updateTime;

	    @ApiModelProperty(value = "备注", required = false, example = "")
	    private String remark;
	    
}
