/**
 * 
 */
package com.dhcc.finance.main.model;

import java.util.Date;


import com.fasterxml.jackson.annotation.JsonFormat;

import io.swagger.annotations.ApiModelProperty;
import lombok.AllArgsConstructor;
import lombok.Data;
import lombok.EqualsAndHashCode;
import lombok.NoArgsConstructor;

/**
 * @author hp
 *
 */

@Data
@AllArgsConstructor
@NoArgsConstructor
@EqualsAndHashCode(callSuper = false)
public class CwGlTransferdetailAndSubName {
	 /**
     * 结转明细主键
     */
    @ApiModelProperty(value = "结转明细主键", required = true, example = "")
    private String pkTransferdetail;

    /**
     * 结转方案主键
     */
    @ApiModelProperty(value = "结转方案主键", required = false, example = "560117235666968576")
    private String pkTransfer;

    /**
     * 转账类型
     */
    @ApiModelProperty(value = "转账类型", required = false, example = "1")
    private String transfertype;

    /**
     * 凭证类型
     */
    @ApiModelProperty(value = "凭证类型", required = false, example = "1")
    private String pkVouchertype;

    /**
     * 转账频度
     */
    @ApiModelProperty(value = "转账频度", required = false, example = "1")
    private String transfrequency;

    /**
     * 序号
     */
    @ApiModelProperty(value = "序号", required = false, example = "1")
    private String detailorder;

    /**
     * 摘要
     */
    @ApiModelProperty(value = "摘要", required = false, example = "1")
    private String note;

    /**
     * 借贷方向
     */
    @ApiModelProperty(value = "借贷方向", required = false, example = "1")
    private String orientation;

    /**
     * 结转属性
     */
    @ApiModelProperty(value = "结转属性", required = false, example = "1")
    private String transsystem;

    /**
     * 来源科目
     */
    @ApiModelProperty(value = "来源科目", required = false, example = "1")
    private String pkSrcaccsubj;
    /**
     * 转账类型
     */
    @ApiModelProperty(value = "来源科目名称", required = false, example = "1")
    private String pkSrcaccsubjName;

    /**
     * 来源科目辅助项
     */
    @ApiModelProperty(value = "来源科目辅助项", required = false, example = "1")
    private String srcass;

    /**
     * 目的科目
     */
    @ApiModelProperty(value = "目的科目", required = false, example = "1")
    private String pkDesaccsubj;
    /**
     * 目的科目
     */
    @ApiModelProperty(value = "目的科目名称", required = false, example = "1")
    private String pkDesaccsubjName;

    /**
     * 目的科目辅助项
     */
    @ApiModelProperty(value = "目的科目辅助项", required = false, example = "1")
    private String desass;

    /**
     * 币种
     */
    @ApiModelProperty(value = "币种", required = false, example = "1")
    private String pkCurrtype;

    /**
     * 启用状态
     */
    @ApiModelProperty(value = "启用状态", required = false, example = "2")
    private String enablestate;

    /**
     * 使用状态
     */
    @ApiModelProperty(value = "使用状态", required = false, example = "1")
    private String useState;

    /**
     * 录入人员
     */
    @ApiModelProperty(value = "录入人员", required = false, example = "1")
    private String createUser;

    /**
     * 录入时间
     */
    @ApiModelProperty(value = "录入时间", required = false, example = "")
    @JsonFormat(locale="zh", timezone="GMT+8", pattern="yyyy-MM-dd")
    private Date createTime;

    /**
     * 最后修改人员
     */
    @ApiModelProperty(value = "最后修改人员", required = false, example = "1")
    private String updateUser;

    /**
     * 最后修改时间
     */
    @ApiModelProperty(value = "最后修改时间", required = false, example = "CURRENT_TIMESTAMP")
    private Date updateTime;

    /**
     * 备注
     */
    @ApiModelProperty(value = "备注", required = false, example = "1")
    private String remark;

}
