/**
 * 
 */
package com.dhcc.finance.main.model;

import java.math.BigDecimal;
import java.util.Date;

import com.fasterxml.jackson.annotation.JsonFormat;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.AllArgsConstructor;
import lombok.Data;
import lombok.EqualsAndHashCode;
import lombok.NoArgsConstructor;

/**
 * @author hp
 *
 */
@ApiModel(value = "CwGlVoucherAndName",description = "凭证信息加名称")
@Data
@AllArgsConstructor
@NoArgsConstructor
@EqualsAndHashCode(callSuper = false)
public class CwGlVoucherAndName {
	 @ApiModelProperty(value = "凭证主键", required = true, example = "")
	    private String pkVoucher;

	    @ApiModelProperty(value = "账套主键", required = false, example = "")
	    private String pkGlorgbook;
	    
	    @ApiModelProperty(value = "账套名称", required = false, example = "")
	    private String code;
	    
	    @ApiModelProperty(value = "账套名称", required = false, example = "")
	    private String name;

	    @ApiModelProperty(value = "分期募集编号", required = false, example = "")
	    private String fqmjbh;
	    
	    @ApiModelProperty(value = "凭证类型", required = false, example = "")
	    private String pkVoucherty;
	    
	    @ApiModelProperty(value = "交易码", required = false, example = "")
	    private String tradecode;

	    @ApiModelProperty(value = "来源系统", required = false, example = "")
	    private String pkSystem;

	    @ApiModelProperty(value = "凭证状态", required = false, example = "")
	    private String vouchertype;
	    
	    @ApiModelProperty(value = "摘要", required = false, example = "")
	    private String abstracts;

	    @ApiModelProperty(value = "制单人", required = false, example = "")
	    private String pkPrepared;

	    @ApiModelProperty(value = "制单人User", required = false, example = "")
	    private String pkPreparedUser;
	    
	    @JsonFormat(pattern = "yyyy-MM-dd", timezone = "GMT+8")
	    @ApiModelProperty(value = "制单日期", required = false, example = "")
	    private Date preparedate;

	    @ApiModelProperty(value = "是否已审核", required = false, example = "")
	    private String isaudit;

	    @ApiModelProperty(value = "审核人", required = false, example = "")
	    private String pkAudit;
	    
	    @ApiModelProperty(value = "审核人User", required = false, example = "")
	    private String pkAuditUser;

	    @ApiModelProperty(value = "审核时间", required = false, example = "")
	    @JsonFormat(pattern = "yyyy-MM-dd", timezone = "GMT+8")
	    private Date auditdate;

	    @ApiModelProperty(value = "是否已记账", required = false, example = "")
	    private String issign;

	    @ApiModelProperty(value = "记账人", required = false, example = "")
	    private String pkSign;
	    
	    @ApiModelProperty(value = "记账人User", required = false, example = "")
	    private String pkSignUser;

	    @ApiModelProperty(value = "记账时间", required = false, example = "")
	    @JsonFormat(pattern = "yyyy-MM-dd", timezone = "GMT+8")
	    private Date signdate;

	    @ApiModelProperty(value = "凭证号", required = false, example = "")
	    private String voucherno;

	    @ApiModelProperty(value = "是否修改", required = false, example = "")
	    private String ismodify;

	    @ApiModelProperty(value = "年度", required = false, example = "")
	    private String year;

	    @ApiModelProperty(value = "会计期间", required = false, example = "")
	    private String period;

	    @ApiModelProperty(value = "暂存标识", required = false, example = "")
	    private String tempsave;

	    @ApiModelProperty(value = "借方合计", required = false, example = "")
	    private BigDecimal totaldebit;

	    @ApiModelProperty(value = "贷方合计", required = false, example = "")
	    private BigDecimal totalcredit;

	    @ApiModelProperty(value = "业务发生时间", required = false, example = "")
	    @JsonFormat(pattern = "yyyy-MM-dd", timezone = "GMT+8")
	    private Date occDate;
	    
	    @ApiModelProperty(value = "使用状态", required = false, example = "")
	    private String useState;

	    @ApiModelProperty(value = "录入人员", required = false, example = "")
	    private String createUser;

	    @ApiModelProperty(value = "录入时间", required = false, example = "")
	    private Date createTime;

	    @ApiModelProperty(value = "最后修改人员", required = false, example = "")
	    private String updateUser;

	    @ApiModelProperty(value = "最后修改时间", required = false, example = "CURRENT_TIMESTAMP")
	    private Date updateTime;

	    @ApiModelProperty(value = "备注", required = false, example = "")
	    private String remark;
}
